Skip to content

Revoke a session

DELETE
/api/v1/auth/sessions/{session_id}
curl --request DELETE \
--url https://api.ultimateteam.ai/api/v1/auth/sessions/example \
--header 'X-API-Key: <X-API-Key>'

Revoke a session by its id. Only the current session is ever visible via GET /sessions, so this revokes the caller’s own token when the id matches, and 404s otherwise.

session_id
required
Session Id
string

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}